/******************************************************************************
*
* Freescale Semiconductor Inc.
* (c) Copyright 2011-2012 Freescale Semiconductor, Inc.
* ALL RIGHTS RESERVED.
*
***************************************************************************//*!
*
* @file mtim.c
*
* @author a13984
*
* @version 0.0.1
*
* @date Aug 10, 2011
*
* @brief application entry point which performs application specific tasks. 
*
*******************************************************************************
*
* provide a demo for how to initialize the PT60, output messages via SCI, 
* flash operations, etc.
* NOTE:
*	printf call may occupy a lot of memory (around 1924 bytes), so please
*	consider your code size before using printf.
******************************************************************************/
#include "common.h"
#include "mtim.h"

/******************************************************************************
* Global variables
******************************************************************************/

/******************************************************************************
* Constants and macros
******************************************************************************/

/******************************************************************************
* Local types
******************************************************************************/

/******************************************************************************
* Local function prototypes
******************************************************************************/

/******************************************************************************
* Local variables
******************************************************************************/

/******************************************************************************
* Local functions
******************************************************************************/

/******************************************************************************
* Global functions
******************************************************************************/


void MTIM0_Init(void)
{
	 /* MTIM0 free-running mode example */
	MTIM0_SC_TSTP = 1;			/* stop counter */
	MTIM0_CLK = 0x10;			 /* use FIXED clock ICSFFCLK and prescaler /1 */
	MTIM0_MOD = 0; 			  /* must clear MOD register */
	MTIM0_SC |=  MTIM0_SC_TOF_MASK; /* write MTIMx_SC to clear TOF first */
	MTIM0_SC_TOIE = 1;                              /* then set TOIE bit */
	MTIM0_SC_TSTP = 0;			 /* clear TSTP to start free-running counter */	
}

