/******************************************************************************
*
* Freescale Semiconductor Inc.
* (c) Copyright 2011-2012 Freescale Semiconductor, Inc.
* ALL RIGHTS RESERVED.
*
***************************************************************************//*!
*
* @file rtc.h
*
* @author a13984
*
* @version 0.0.1
*
* @date Sep 5, 2011
*
* @brief application entry point which performs application specific tasks. 
*
*******************************************************************************
*
* provide a demo for how to initialize the PT60, output messages via SCI, 
* flash operations, etc.
* NOTE:
*	printf call may occupy a lot of memory (around 1924 bytes), so please
*	consider your code size before using printf.
******************************************************************************/



#ifndef RTC_H_
#define RTC_H_

/******************************************************************************
* Includes
******************************************************************************/

/******************************************************************************
* Constants
******************************************************************************/

/******************************************************************************
* Macros
******************************************************************************/
#define RTC_CLKSRC_EXTERNAL		0
#define RTC_CLKSRC_1KHZ			1
#define RTC_CLKSRC_BUS_X1		2
#define RTC_CLKSRC_BUS_X128		3

/******************************************************************************
* Types
******************************************************************************/

/******************************************************************************
* Global variables
******************************************************************************/

/******************************************************************************
* Global functions
******************************************************************************/


void RTC_Init(uint8_t clkSrc,uint16_t modulo, uint8_t prescaler);

#endif /* RTC_H_ */
