/******************************************************************************
*
* Freescale Semiconductor Inc.
* (c) Copyright 2011-2012 Freescale Semiconductor, Inc.
* ALL RIGHTS RESERVED.
*
***************************************************************************//*!
*
* @file mtim.h
*
* @author a13984
*
* @version 0.0.1
*
* @date Aug 10, 2011
*
* @brief application entry point which performs application specific tasks. 
*
*******************************************************************************
*
* provide a demo for how to initialize the PT60, output messages via SCI, 
* flash operations, etc.
* NOTE:
*	printf call may occupy a lot of memory (around 1924 bytes), so please
*	consider your code size before using printf.
******************************************************************************/



#ifndef MTIM_H_
#define MTIM_H_

/******************************************************************************
* Includes
******************************************************************************/

/******************************************************************************
* Constants
******************************************************************************/

/******************************************************************************
* Macros
******************************************************************************/
// define MTIM0 overflow time
#define MTIM0_CLOCK				31250u
#define MTIM0_PERIOD			10  //ms
//#define MTIM0_MOD_VALUE			((unsigned char)(MTIM0_CLOCK*MTIM0_PERIOD/1000))
#define MTIM0_MOD_VALUE   MTIM0_PERIOD


/******************************************************************************
* Types
******************************************************************************/

/******************************************************************************
* Global variables
******************************************************************************/

/******************************************************************************
* Global functions
******************************************************************************/

void MTIM0_Init(void);
void MTIM1_Init( void );
#endif /* MTIM_H_ */
